/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package yoga_ali_rayhan_mytodoapp;
import java.util.Scanner;
public class App {
    public String Apps(){
        return "Hi";
    }
    public static void main(String[] args) {
        Storage storage = new Storage();
        int choice;
        do{
        System.out.println("Welcome! Here are the menu options :");
        System.out.println("    1. Add to do item ");
        System.out.println("    2. Show to do list ");
        System.out.println("    3. Update to do item");
        System.out.println("    4. Delete to do item");
        System.out.println("    5. Quit or Q");
        System.out.println("What would you like to do ?");
        Scanner scan = new Scanner(System.in);
        choice = scan.nextInt();
        switch (choice) {
            case 1:
                System.out.println("What is your task to add to your Todo list ?");
                String Desc = scan.nextLine();
                System.out.println("Is status Complite or Incomplite? (C or I)");
                char Status = scan.nextLine().charAt(0);
                storage.saveTaskList(new Task(Desc,Status));
                break;
            
            case 2:
                for(int j=0;j<storage.countTask();j++){
                    System.out.printf("Task %d :\n",j);
                    System.out.println(storage.getTaskList(j).getDesc());
                    System.out.println("Status : "+storage.getTaskList(j).getStatus());
                }
             break;
        
            default:
                break;
        }
    }while(choice!=5);
    }
}
